<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<parent>
		<groupId>gov.va.med.repos.lib</groupId>
		<version>4.0.0</version>
		<artifactId>repos-modules</artifactId>
		<relativePath>../parentModule/pom.xml</relativePath>
	</parent>
	<modelVersion>4.0.0</modelVersion>
	<artifactId>log4j-ext</artifactId>
	<name>Repositories: Log4J Extension</name>
	<version>5.0.1-SNAPSHOT</version>
	<description>Extensions to Log4j required by Repositories applications.</description>
	<packaging>jar</packaging>
	<!-- 
    <scm>
        <url>https://URL             .DNS   :PORT/ccm:server_rb_HDR_module_log4j-ext_main_stream_rws</url>
        <connection>scm:jazz:https://URL             .DNS   :PORT/ccm:server_rb_HDR_module_log4j-ext_main_stream_rws</connection>
        <developerConnection>scm:jazz:https://URL             .DNS   :PORT/ccm:server_rb_HDR_module_log4j-ext_main_stream_rws</developerConnection>
    </scm>
    -->
    
    <scm>
        <url>${env.SCM_URL}:${env.MODULE_LOG4JEXT_RB_RWS}</url>
        <connection>scm:jazz:${env.SCM_URL}:${env.MODULE_LOG4JEXT_RB_RWS}</connection>
        <developerConnection>scm:jazz:${env.SCM_URL}:${env.MODULE_LOG4JEXT_RB_RWS}</developerConnection>
    </scm>
    
    <properties>
		<junit-ext.version>4.0.0</junit-ext.version>
		<common.version>6.0.0</common.version>
	</properties>
	<dependencies>
		<dependency>
			<groupId>${project.parent.groupId}</groupId>
			<artifactId>common</artifactId>
			<version>${common.version}</version>
		</dependency>
		<dependency>
			<groupId>${project.parent.groupId}</groupId>
			<artifactId>junit-ext</artifactId>
			<version>${junit-ext.version}</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>weblogic</groupId>
			<artifactId>wljmsclient</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-core</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-expression</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-beans</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-aop</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-context</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-tx</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-orm</artifactId>
		</dependency>
		<dependency>
			<groupId>commons-logging</groupId>
			<artifactId>commons-logging</artifactId>
		</dependency>
		<dependency>
			<groupId>org.easymock</groupId>
			<artifactId>easymock</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-api</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-core</artifactId>
		</dependency> 
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-jcl</artifactId>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-slf4j-impl</artifactId>
		</dependency>
	</dependencies>
	<profiles>
		<profile>
			<id>clover</id>
			<build>
				<plugins>
					<plugin>
						<groupId>com.atlassian.maven.plugins</groupId>
						<artifactId>maven-clover2-plugin</artifactId>
						<configuration>
							<excludes>
								<exclude>**/*Test.java</exclude>
								<exclude>**/*TestCase.java</exclude>
							</excludes>
						</configuration>
						<executions>
							<execution>
								<phase>pre-site</phase>
								<goals>
									<goal>instrument</goal>
									<goal>aggregate</goal>
								</goals>
							</execution>
						</executions>
					</plugin>
					</plugins>
			</build>
		</profile>
	</profiles>
	<build>
		<resources>
			<resource>
				<directory>src/main/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</resource>
		</resources>
		<testResources>
			<testResource>
				<directory>src/test/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</testResource>
		</testResources>
		<plugins>
				<plugin>
        				<groupId>org.apache.maven.plugins</groupId>
            			<artifactId>maven-scm-plugin</artifactId>
            			<version>1.9.1</version>
            			<dependencies>
            				<dependency>
                				<groupId>org.apache.maven.scm</groupId>
                				<artifactId>maven-scm-provider-jazz</artifactId>
                				<version>1.9.1</version>
              				</dependency>
              				<dependency>
                				<groupId>org.apache.maven.scm</groupId>
                				<artifactId>maven-scm-api</artifactId>
                				<version>1.9.1</version>
              				</dependency>
              				<dependency>
								<groupId>org.apache.maven.scm</groupId>
								<artifactId>maven-scm-client</artifactId>
								<version>1.9.1</version>
	      					</dependency>
            			</dependencies>
          			</plugin>
        
          			<plugin>
						<groupId>org.apache.maven.plugins</groupId>
        				<artifactId>maven-release-plugin</artifactId>
        				<version>2.5</version>
          			</plugin>
            		<plugin>
                		<groupId>com.fortify.ps.maven.plugin</groupId>
                		<artifactId>sca-maven-plugin</artifactId>
                		<version>4.30</version>
             		</plugin>	
            </plugins>
	</build>
</project>
